{{set . "title" "Product"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Products</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <div class="panel-header">
                <a href='{{url "Product.New"}}' class="btn btn-default">New</a>
            </div>
            <div class="panel panel-default">
                <div class="panel-body">
                    <div id="grid"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">


    $(function () {
        var dataManager2 = ej.DataManager({
            url: '{{url "Product.Grid"}}',
            crossDomain: true,
            removeUrl: '{{url "Product.GridDelete"}}',
            adaptor: new ej.UrlAdaptor()
        });


        $("#grid").ejGrid({
            dataSource: dataManager2,
            allowPaging: true,
            allowSorting: true,
            allowFiltering: true,
            isResponsive: true,
//            enablePersistence:true,
            showColumnChooser: true,
            pageSettings: {pageSize: 25},
            filterSettings: {
                filterType: "menu"
            },
            toolbarSettings: {
                showToolbar: true,
                toolbarItems: [ej.Grid.ToolBarItems.Delete]
            },
            editSettings: {
                allowEditing: true,
                allowDeleting: true
            },
            columns: [
                {type: "checkbox", width: 50},
                {
                    field: "name",
                    headerText: 'Name',
                    type: "string"
                }, {
                    field: "Barcode",
                    headerText: 'Barcode',
                    type: "string"
                }, {
                    field: "Ean",
                    headerText: 'Ean',
                    type: "string"
                }, {
                    field: "Upc",
                    headerText: 'Upc',
                    type: "string"
                }, {
                    field: "Status",
                    headerText: 'Status',
                    type: "boolean"
                }, {
                    field: "Category.0.name",
                    headerText: 'Category',
                    type: "string"
                }, {
                    headerText: "",
                    template: "<a href='{{url "Product.Index"}}/{^{:ID}}'>Edit</a>"
        }
    ]
    })
    });
</script>

{{template "footer.html" .}}
